import { EventEmitter, Callback } from './types';
/**
 * Wait for an event or error to be emitted by every emitter
 *
 *  The `callback` is called when:
 *    - the event, or an error, has been emitted by each emitter
 *
 *  The `callback` is called with the error, if one occurred
 *
 * @param   event
 * @param   emitters
 * @param   callback
 */
export declare const waitForAll: <Event extends string>(event: Event, emitters: EventEmitter<Event>[], callback?: Callback | undefined) => Promise<void>;
